

globale=0

function primo(){
  globale=1;
  echo "Primo ha finito"
}

function secondo(){
  echo "Secondo ha iniziato"  
  sleep 10
  echo $globale;
  echo "Secondo ha finito"
}


primo ;  secondo ;
primo &  secondo &
wait %1 %2